Bug 736254 - service rhnsd * fails when system is not registered
Summary: service rhnsd * fails when system is not registered
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 1.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space16
TreeView+ depends on / blocked
 
Reported: 2011-09-07 07:41 UTC by Jiří Mikulka
Modified: 2014-10-06 13:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-08 11:48:16 UTC


Attachments (Terms of Use)

Description Jiří Mikulka 2011-09-07 07:41:22 UTC
Description of problem:
service rhnsd [whatever] fails with exit code 6 when system is registered (according to systemIdPath=/path/to/systemId in /etc/sysconfig/rhn/up2date) but systemId file (/path/to/systemId) does not exists.

Version-Release number of selected component (if applicable):
rhnsd-4.7.0-10.el5

How reproducible:
always if situation is like described above

Steps to Reproduce:
1. register system to Spacewalk (obtain systemId, update /etc/sysconfig/rhn/up2date)
2. brute force unregistering system (remove /path/to/systemId)
3. service rhnsd {start|stop|status|restart|condrestart|reload} exits with 6
  
Actual results:
service rhnsd * exits with 6

Expected results:
should return some valuable information (about need to register system, remove not valid /path/to/systemId from /etc/sysconfig/rhn/up2date, ...)

Additional info:

Comment 2 Jan Pazdziora 2011-09-08 11:48:16 UTC
According to

http://fedoraproject.org/wiki/Packaging:SysVInitScript#Exit_Codes_for_non-Status_Actions

the exist status 6 is exactly what we are supposed to return when the program is not configured.

Closing as NOTABUG, please reopen if you disagree.


Note You need to log in before you can comment on or make changes to this bug.